> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a specific client request associated with a phone call.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json patch /phone-calls/{id}/requests/{requestId}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /phone-calls/{id}/requests/{requestId}:
    patch:
      tags:
        - PhoneCall
      summary: Updates a specific client request associated with a phone call.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the phone call.
          required: true
          schema:
            type: integer
            format: int32
        - name: requestId
          in: path
          description: The unique identifier of the client request to update.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: The patch data containing status and response updates.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchClientRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/PatchClientRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PatchClientRequestDto'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ClientRequestViewModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ClientRequestViewModel'
            text/json:
              schema:
                $ref: '#/components/schemas/ClientRequestViewModel'
        '204':
          description: Client request updated successfully.
        '404':
          description: Phone call or client request not found.
components:
  schemas:
    PatchClientRequestDto:
      type: object
      properties:
        status:
          type: string
          nullable: true
        response:
          type: string
          nullable: true
      additionalProperties: false
    ClientRequestViewModel:
      type: object
      properties:
        id:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        request:
          type: string
          nullable: true
        clientId:
          type: integer
          format: int32
        portalId:
          type: integer
          format: int32
        phoneCallId:
          type: integer
          format: int32
        phoneCallTranscriptLineId:
          type: integer
          format: int32
          nullable: true
        status:
          type: string
          nullable: true
        response:
          type: string
          nullable: true
        respondedAt:
          type: string
          format: date-time
          nullable: true
        respondedByAccountId:
          type: integer
          format: int32
          nullable: true
        respondedBy:
          type: string
          nullable: true
      additionalProperties: false

````